/* ------------------------------------------------------------------------------ */
/* ------------------------------------------------------------ 6.0/00 - 01-11-2022
/* colors   -> #EE741D | rgba(238,116,29) | hsla(25,86%,53%) */
/* ------------------------------------------------------------------------------ */
/* link     -> https://codepen.io/imgios/pen/YzqdmJB */
/* info     -> time2text */
/* ------------------------------------------------------------------------------ */
/* ROOT and VARIBLES */
:root {
	--hover-bgr:hsla(210,100%,56%,1);
    
    /* cards */
    --card-front-col: rgba(0,0,0,.6); /* black, gray OR client-color */
    --card-front-bgr: #fff;
    --card-back-col: #fff;
    --card-back-bgr: #EE741D;
    --card-ibox-hgt: 14rem;         /* min-height of the card - depends of the text card-back - def 14rem */
    --card-body-bdr: 1px solid rgba(0,0,0,.05);     /* border - def 1px */
    /* grid-area */
    --grid-area-gap: 1rem;          /* gap between flipboxes - def 1rem | min .3rem - check used shadow */
    --grid-area-pad: 1rem;          /* padding - check card-border-radius - def 1rem | min .3rem */
    --grid-area-bgr: none;          /* background - def none */
    --grid-area-bdr: 0px solid rgba(0,0,0,.25);     /* border - def 0px  */
    --grid-area-rad: 0rem;          /* border-radius - def 0rem */
    /* counter - card-front */ 
    --count-color: rgb(255,255,255,1);  /* color of the counter - must be the same as card-back-background AND no transparent */
    --count-size: 2.2rem;                 /* counter size - def 4rem */
    --count-pos-top:1.4rem;                  /* counter position top - def 1rem */
    /*--count-pos-right:1rem;             /* counter position right - def 1.2rem */
    --count-pos-left:1rem;       /* counter position left - NOT IN USE */
    /*--count-pos-bottom: -70%;     /* counter position bottom - NOT IN USE */ 
    --count-width: 1px;             /* counter stroke - def 1px | max 3px */
    /* animation */
    --time-flip: 0.8s;              /* def 0.8s */
	}

/* ------------------------------------------------------------------------------ */
/* ------------------------------------------------------------ 6.0/00 - 01-11-22 */
/* RESET COUNTER -> SEE design.css */
/* TIME2CLICK */

body {
  font-family: "Raleway", sans-serif;
  background: #fafafa;
}


h1 {
  text-align: center;
  padding: 30px 0 0 0;
}

h4 {
  font-size: 1.2em;
  text-align: center;
  padding: 0 0 30px 0;
}

img {
   float: right;
   max-width: 25%;
   padding: 0 1rem 1rem;
   aspect-ratio: 1 / 1;
   object-fit: scale-down;
   border: 0px solid red;
}

.timeline {
  list-style: none;
  padding: 20px 0 20px;
  position: relative;
}
.timeline:before {
  top: 0;
  bottom: 0;
  position: absolute;
  content: "";
  width: 3px;
  background-color: #d9d9d9;
  margin-left: -1.5px;
  left: 20px;
}
@media (min-width: 576px) {
  .timeline:before {
    left: 50%;
  }
}
.timeline > li {
  margin-bottom: 20px;
  position: relative;
  padding-left: 55px;
}
.timeline > li:after, .timeline > li:after {
  content: "";
  display: table;
  clear: both;
}
.timeline > li .panel {
  width: 100%;
  float: left;
  border-radius: 3px;
  overflow: hidden;
  position: relative;
  background: #fff;
  box-shadow: 1px 2px 80px 0 rgba(0, 0, 0, 0.1);
}
.timeline > li .panel summary {
  display: block;
  user-select: none;
  outline: none;
  padding: .6rem .8rem;
  margin-bottom: 0px;
  transition: all 1000ms cubic-bezier(0.23, 1, 0.32, 1); /* 600ms */
  transition-property: margin, background;
  font-size:1.4rem;
  font-weight: 400;
}
.timeline > li .panel summary::-webkit-details-marker {
  display: none;
}
.timeline > li .panel summary:hover {
  background: rgba(0, 0, 0, 0.1);
}
.timeline > li .panel p {
  padding: 0 20px 10px;
}
.timeline > li .panel[open] summary {
  margin-bottom: 20px;
  padding-bottom: 8px; /* 20px */
  border-bottom: 1px solid rgba(0, 0, 0, 0.1);
}
@media (min-width: 576px) {
  .timeline > li {
    padding-left: 0px;
  }
  .timeline > li .panel {
    width: 50%;
  }
  .timeline > li:not(:nth-child(even)) {
    padding-right: 90px;
  }
  .timeline > li:nth-child(even) {
    padding-left: 90px;
  }
  .timeline > li:nth-child(even) > :nth-child(even) {
    float: right;
  }
}
.timeline > li > .icon {
  color: #d9d9d9;
  width: 50px;
  height: 50px;
  line-height: 50px;
  font-size: 2.5em;
  text-align: center;
  position: absolute;
  left: 20px;
  margin-left: -25px;
  background-color: #fafafa;
  z-index: 999;
  border-radius: 50%;
  font-family: Font Awesome\ 5 Free;
}
.timeline > li > .icon:before {
  content: "";
}
@media (min-width: 576px) {
  .timeline > li > .icon {
    left: 50%;
  }
}
.timeline > li > .icon.done {
  color: #23b5af;
}
.timeline > li > .icon.done:before {
  content: "";
}
.timeline > li > .icon.working {
  color: #eeba4c;
}
.timeline > li > .icon.working:before {
  content: "";
}


/* ------------------------------------------------------------------------------ */
/* ------------------------------------------------------------ 6.0/00 - 21-08-22 */
/* css-counter postion background */
/* https://stackoverflow.com/questions/43514987/css-increasing-number-as-background-images-for-css */	
.box-counter::before { 
	position:absolute;
  display:flex;
	top:var(--count-pos-top,1.2rem);
  /*right:var(--count-pos-right);*/
  /*bottom:var(--count-pos-bottom);*/
  left:var(--count-pos-left);
	justify-content:center;
  align-items:center;
  counter-increment:Element 1;
	content:counter(Element) '';
	font-size:var(--count-size); 
	font: 800 Arial;
	  -webkit-text-fill-color:transparent; /* works FF, Chrome and Edge */
	  -webkit-text-stroke:var(--count-width,1px);
	  -webkit-font-smoothing:antialiased;
	color:var(--count-color); /* must be the same color als card-back background */
    opacity:1;
	/*z-index:999;*/
	}
/* shadow */
/*
.shadow, .flex-item {
  box-shadow: 0 -1px 1px rgba(0, 0, 0, 0.04), 0 2px 2px rgba(0, 0, 0, 0.04), 0 4px 4px rgba(0, 0, 0, 0.04), 0 8px 8px rgba(0, 0, 0, 0.04), 0 16px 16px rgba(0, 0, 0, 0.04);
}
*/	
/* ------------------------------------------------------------------------------ */
/* END */	
/* ------------------------------------------------------------------------------ */